## irreco-core 0.8.1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = irreco
PACKAGE = irreco
VERSION = 0.8.1

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /home/harri/new/leiska/install
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/harri/new/leiska/irreco/install-sh
# Automake >= 1.8 provides mkdir -p -- ..
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = /scratchbox/devkits/doctools/bin/intltool-update
INTLTOOL_EXTRACT = /scratchbox/devkits/doctools/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = en_GB

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep ^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep ^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../../src/urc.c \
	../../src/urc_data.c \
	../../src/urc_button_layout.c \
	../../src/lirc-plugin.c \
	../../src/urc_userui.c \
	../../src/urc_editui.c \
	../../src/urc_button_dlg.c \
	../../src/urc_style_browser_dlg.c \
	../../src/urc_button.c \
	../../src/urc_config.c \
	../../src/urc_input_dlg.c \
	../../src/urc_mainmenu.c \
	../../src/netirsend.c \
	../../src/urc_button_style.c \
	../../src/urc_string_table.c \
	../../src/urc_key_file.c \
	../../src/urc_plugin.c

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## irreco-core 0.8.0

=== debian/changelog ===
irreco-core (0.8.0) unstable; urgency=low

  * No changes, version up to date

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Fri, 28 Aug 2009 11:25:31 +0300

irreco-core (0.7.9.12) unstable; urgency=low

  * Changed theme dir under MyDocs
  * Changed button press behaviour back

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Wed, 10 Jun 2009 12:57:19 +0300

irreco-core (0.7.9.11) unstable; urgency=low

  * Fixed trash

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Wed, 10 Jun 2009 11:25:37 +0300

irreco-core (0.7.9.10) unstable; urgency=low

  * Changed button press behaviour

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Tue,  9 Jun 2009 12:03:06 +0300

irreco-core (0.7.9.9) unstable; urgency=low

  * Ported to Fremantle
  * Theme editing dropped
  * Fullscreen mode dropped
  * + many more minor drops
  * Nearly all menus, dialogs and lists hildonized
  * Libsoup updated to 2.4 compatible
  * Added support to lircDB

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Mon, 1 Jun 2009 10:08:11 +0300

irreco-core (0.6.9.5-2) unstable; urgency=low

  * Layout uploading and downloading

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Mon, 12 Jan 2009 10:07:22 +0200

irreco-core (0.6.9.4) unstable; urgency=low

  * Fixed crash situation from ThemeDownloadDlg

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Tue, 11 Nov 2008 13:51:58 +0200

irreco-core (0.6.5) unstable; urgency=low

  * Theme manager feature added
  * Support for uploading and downloading themes

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Tue, 11 Nov 2008 09:07:26 +0200

irreco-core (0.6.4) unstable; urgency=low

  * Button images can now be selected from themes
  * Wallpapers are organized by theme
  * Modifications to theme hierarchy

 -- Sampo Savola <samposav@paju.oulu.fi>  Fri, 22 Aug 2008 14:25:31 +0300

irreco-core (0.6.3-2) unstable; urgency=low

  * New build system, diablo compatible

 -- Sampo Savola <samposav@paju.oulu.fi>  Thu,  7 Aug 2008 16:08:12 +0300

irreco-core (0.6.0) unstable; urgency=low

  * New packaking. Separated irreco and backend packages.
  * Improved API for backends.
  * WebDataBase support to store configurations of backends.

 -- Arto Karppinen <arto.karppinen@iki.fi>  Thu, 28 Feb 2008 13:14:19 +0200

=== debian/control ===
Source: irreco-core
Priority: extra
Maintainer: Harri Vattulainen <t5vaha01@students.oamk.fi>
Build-Depends: debhelper (>= 5),
 libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libhildonfm2-dev,libhildon1,
 libglib2.0-dev, libdbus-glib-1-dev, libosso-dev, intltool, libsoup2.4-dev, libxml2
Standards-Version: 3.7.2
Section: user/multimedia

Package: irreco-core-dev
Section: libdevel
Architecture: any
Depends: irreco-core
Description: Irreco - Ir Remote Control
 Irreco is a remote control application for Nokia Internet Tablets.
 With Irreco and the help of external IR transceiver you can control
 IR compatible devices like televisions, DVD players and AV Receivers.
 Irreco also has a remote editor which you can use to place buttons to
 the screen and build the kind of remote you want to use.

Package: irreco-core
Section: user/multimedia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Irreco - Ir Remote Control
 Irreco is a remote control application for Nokia Internet Tablets.
 With Irreco and the help of external IR transceiver you can control
 IR compatible devices like televisions, DVD players and AV Receivers.
 Irreco also has a remote editor which you can use to place buttons to
 the screen and build the kind of remote you want to use.

## irreco-core 0.8.1

=== debian/changelog ===
irreco-core (0.8.1) unstable; urgency=low

  * Fixed assign command dlg space issue
  * Changed lircDB dlg not to expand treeview rows on touch

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Thu,  3 Sep 2009 12:36:55 +0300

## irreco-core 0.8.2

=== debian/changelog ===
irreco-core (0.8.2) unstable; urgency=low

  * Fixed theme BG location mistake

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Fri,  4 Sep 2009 10:18:36 +0300

## irreco-core 0.8.3

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = irreco
 PACKAGE = irreco
-VERSION = 0.8.1
+VERSION = 0.8.2
 
 SHELL = /bin/sh

=== debian/changelog ===
irreco-core (0.8.3) unstable; urgency=low

  * Fixed lircDB issues

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Fri,  4 Sep 2009 11:23:00 +0300

## irreco-core 0.8.4

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = irreco
 PACKAGE = irreco
-VERSION = 0.8.2
+VERSION = 0.8.4
 
 SHELL = /bin/sh

=== debian/changelog ===
irreco-core (0.8.4) unstable; urgency=low

  * Fixed theme BG locations issue, again

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Mon,  7 Sep 2009 16:37:27 +0300

## irreco-core 0.8.5

=== debian/changelog ===
irreco-core (0.8.5) unstable; urgency=low

  * Removed HW key menuitem, 'cause those seem to be hardcoded for volume
  * Removed irrecoDB menuitem, 'cause irtrans backend isn't ported

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Tue,  8 Sep 2009 14:20:47 +0300

## irreco-core 0.8.6

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = irreco
 PACKAGE = irreco
-VERSION = 0.8.4
+VERSION = 0.8.6
 
 SHELL = /bin/sh

=== debian/changelog ===
irreco-core (0.8.6) unstable; urgency=low

  * Removed confusing devices from menu

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Wed,  9 Sep 2009 13:48:19 +0300

## irreco-core 0.8.7

=== debian/changelog ===
irreco-core (0.8.7) unstable; urgency=low

  * Changed remote selecting dialog to use hildon touch selector

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Thu, 24 Sep 2009 23:47:21 +0300

## irreco-core 0.8.8

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = irreco
 PACKAGE = irreco
-VERSION = 0.8.6
+VERSION = 0.8.7
 
 SHELL = /bin/sh

=== debian/changelog ===
irreco-core (0.8.8) unstable; urgency=low

  * Removed unnecessary infodialog when exiting devices dialog

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Wed, 30 Sep 2009 11:40:45 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export DH_VERBOSE=1
export IRRECO_DEVELOPER=yes
IRRECO_DIR=./irreco
BACKEND_DIR=./backend
SET_PKG_CONFIG_PATH = export PKG_CONFIG_PATH=`readlink -f ./script/tmp`":$$PKG_CONFIG_PATH"

DESTDIR=$(CURDIR)/debian/tmp


# Compiler flags
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif	


#
# Enable / disable pkg-config file installation. 
# In other words, check dev flag
ifeq (,$(findstring yes,$(IRRECO_DEVELOPER)))
	IRRECO_CONFIG += --enable-dev=no
else
	IRRECO_CONFIG += --enable-dev=yes
endif


# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	

	
	CFLAGS="$(CFLAGS)" ./configure  --prefix=/usr $(IRRECO_CONFIG)
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	# Add here commands to compile the package.
	$(MAKE)
#	$(MAKE) install DESTDIR=$(DESTDIR)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Add here commands to install the package into debian/irreco.
	# Actually installs to debian/tmp
	#$(MAKE) DESTDIR=$(DESTDIR) install
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## irreco-core 0.8.9

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = irreco
 PACKAGE = irreco
-VERSION = 0.8.7
+VERSION = 0.8.9
 
 SHELL = /bin/sh

=== debian/changelog ===
irreco-core (0.8.9) unstable; urgency=low

  * Added lirc daemon start and stop

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Wed, 11 Nov 2009 20:43:52 +0200

## irreco-core 0.8.10

=== debian/changelog ===
irreco-core (0.8.10) unstable; urgency=low

  * Fixed Cannot open socket thing

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Thu, 17 Dec 2009 10:11:32 +0200

## irreco-core 0.8.11

=== po/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 GETTEXT_PACKAGE = irreco
 PACKAGE = irreco
-VERSION = 0.8.9
+VERSION = 0.8.10
 
 SHELL = /bin/sh

=== debian/changelog ===
irreco-core (0.8.11) unstable; urgency=low

  * Another fix for cannot open socket

 -- Harri Vattulainen <t5vaha01@students.oamk.fi>  Sat, 19 Dec 2009 19:44:35 +0200
